//
//  THUDProtocol.swift
//  THUD
//
//  Created by TSYH on 2024/4/23.
//

import UIKit

public protocol THUDProtocol {
    // 视图View，其大小必须用约束，由subviews撑开，position则由THUD统一设置
    var hudView: THUDViewProtocol { get }
    
    /// 显示时长，未nil，不自动隐藏，需手动调用hide
    var hudDuration: TimeInterval? { get }
}

public protocol THUDViewProtocol where Self: UIView {
    var hudIdentifier: String? { get }
}
